<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Mojsiejuk W:09</title>
    <link href="https://fonts.googleapis.com/css2?family=Darker+Grotesque:wght@300;400;500;600;700;800;900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap" rel="stylesheet">

    
    <link rel="stylesheet" href="stylefab.css">
    <link rel="stylesheet" href="bootstrap-grid.css">
</head>
<body>
    <div>
        <a href="fabacademy.html"><img id="arrow" src="./assets/strzalka-czarna.svg" alt=""></a>
    </div>
    <div class="blog"></div>
    <a href="fabacademy.html"><h1 id="fabacademy">FabAcademy</h1></a>
    <nav class="blog">
        <ul>
            <li><a href="#contact">contact</a></li>
            <li><a href="../index.html">mdef</a></li>
            <li><a href="about.html">about</a></li>
         </ul>
    </nav>
        
    <div class="content">
        <h3>W:09 content</h3>
        <ul>
            <li><a href="#3d-scanning"> Capasitive Sensing</a></li>
            <li><a href="#process"> Jello</a></li>
            <li> <a href="#3d-printing"> Ping led</a></li>
        </ul>
    </div>
        
    <section class="blogpost">

        
        <div class=container>
            
            <h2 id="3d-scanning" class="item">Capacitive sensing</h2>
            <p>I always liked the idea of things reacting to touch so started playing with capacitive sensing as it allows to make homemade sensors. Yet I have almost none of elecronics needed for stable circut. Trials with just wire with different additions ensurde- super tiny capacitors ( not enough) different resisors ( changed range but didn't really stabilise the outcomes) 
                very weird plotter readings- going crazy with plugged computer ( was expecting opposite) wether I sat with my feet on the ground or not, and touched arduino board with hand- that one worked very weird with different readings in different places of board ( sure not to make a short, but just touching plug changed readings completely)... one position the reading totally stabilised ( for a moment, and  then I moved), I'm still not sure if something is not wrong with my board as it sometimes reacts weirdly to the same code ( code stops working after some time, or it starts working  after w while even thourh there is nothing of that sort in the code)
            </p>
        </div>
        <div class="container">
            <div class="row">
                <div class="col">
                <img class="image-blog" src="./assets/w9crazycapacitive.png" alt="">

                <img class="image-blog" src="./assets/w9capacitiveplotter.jpg" alt="">
                </div>
                <div class="col">
                <video class="image-blog" src="./assets/w9plugged.mov" type="video/mov" controls></video>
                </div>
            </div>
        </div>
            

        <div class=container>
            <div class="row">
                <div class="col">
                <h2 id="process" class="item"> Jello</h2>
                <p>I really wanted to make playing and glowing jelly ( I specially made jello with addition of tonic to make it glow in the ultraviolet light). After some struggle I managed to make just glowing jelly reacting to touch. At first I was not able to add capacitive sensor library to arduiono IDE, and tried with just reading analog. After I managed to instal library I made a capacitive jello that glows with UV light when touched.  I only have one bigger resistor it's a huge one (in a process of checking value) so the readings were very precise!</p>
                </div>
            
                <div class="col">
                <img class="image-blog" src="./assets/w9jello.png" alt="">
                </div>
            </div>
        

            <div class="row">
                <div class="col">
                    <img class="image-blog" src="./assets/w9glowyjello.gif" alt="">
                    <figcaption> it works! ..</figcaption>
                    </div>
                <div class="col">
                     <img class="image-blog" src="./assets/w9elloglow2.jpg" alt="">
                     <figcaption> it glows! ( to make light a bit nicer I used my 3d printed led shade from week 3)</figcaption>
                </div>
            </div>

            <div class="row">
                <div class="col">
                 <img class="image-blog " src="./assets/w9jellocode.png" alt=""></div>
                 <div class="col">
                    <h2 class="item">File</h2>
                
                    <ul>
                    <a href="./assets/w9capacitive_led_with_jello.ino" download=""> <li>Party jello code .ino</li></a>
                    </ul>
                </div>
            </div>

            
            <div class="row justify-content-center"> 
                <div class="col">
                <img class="image-blog " src="./assets/w9ledjellofinal.JPG" alt="">
                </div>
                <div class="col">
                <img class="image-blog" src="./assets/w9jellolives.gif" alt="">
                </div>
            </div>
               
            <div class="row breaks"></div>
            <div class="row">
                <div class="col">
                <h2 id="process" class="item"> Ultrasonic sensor</h2>
                <p>I also played with ultrasonic sensor and tried to make led dim depending on distance. Yet I had a problem with readings, not noise but sensor had a suprised reading quite consistently at different ocasions, when removing hand from in front of it etc. The readings were completely outside of it's range ( in it's documentation it can detect as far as 400cm ) but the random readings I got were consistently around 2000cm (sic! in my bedroom), I based code on one previosuly tested one with different board, which makes me think I should test code with Node MCU. Otherwise I remaped the range of sensor for Led, yet the remap was not succesful in a sense that the diferences between values I was apllying were not very visible with single color led  ( fading effect not sectacular to say the least) </p>
                </div>
            
                <div class="col d-flex justify-content-center ">
                <img class="image-blog" src="./assets/w9ultrasound.gif" alt="">
                </div>
                <div class="row">
                    <div class="col">
                        <img class="image-blog" src="./assets/w9normalreading.png" alt="">
                        <figcaption> normal readings of sensor with code)</figcaption>
                    </div>
                    <div class="col">
                        <img class="image-blog" src="./assets/w9sensorreading.png" alt="">
                        <figcaption> the crazy one! (as well tried different remaps)</figcaption>
                    </div>
                </div>

            </div>


        </div>
        
      
        
    </section>
    <footer class="page-footer">
        2020 © Magdalena Mojsiejuk
      </footer>
</body>
</html> 